-- This addon auto-reloads and auto-repairs your active ship when you dock or otherwise enter a station.

-- need to globally create this because RegisterEvent only holds a weak reference to the object.
reloadthingy = {}

function reloadthingy:OnEvent(eventname, ...)
	if eventname == "ENTERED_STATION" then
		RepairShip(GetActiveShipID(), 1, function()
			purchaseprint("Ship auto-repaired")
			-- only 1 transaction at a time for now, so do the second one after the first one is done.
			ReplenishAll(GetActiveShipID(), function() purchaseprint("Ammo auto-refilled") end)
		end)
	end
end

RegisterEvent(reloadthingy, "ENTERED_STATION")
